﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Candle 클래스 : Style 속성 사용하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Candle candle = new Candle(this.tChart.Chart);

            candle.Style = CandleStyles.CandleBar;

            candle.FillSampleValues(20);
        }

        #endregion
    }
}